### Function

# Phosh util_gesture_is_touch

#### Declaration [src]

    gboolean
    phosh_util_gesture_is_touch (
      GtkGestureSingle* gesture
    )

#### Description [src]

Allow to check whether a gesture’s last event was a touch press or release. This can be used to distinguish mouse and touchpad clicks from touch press/release.

#### Parameters

`gesture`

  Type: `GtkGestureSingle`

  The gesture.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if this is a touch press or release event, otherwise `FALSE`.